_Display_Init:
;Stretch.c,48 :: 		void Display_Init()
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;Stretch.c,50 :: 		TFT_Init_ILI9341_8bit(320, 240);
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
ORI	R26, R0, 240
ORI	R25, R0, 320
JAL	_TFT_Init_ILI9341_8bit+0
NOP	
;Stretch.c,51 :: 		TFT_BLED = 1;
LUI	R2, BitMask(LATD2_bit+0)
ORI	R2, R2, BitMask(LATD2_bit+0)
_SX	
;Stretch.c,52 :: 		TFT_Set_Pen(CL_WHITE, 1);
ORI	R26, R0, 1
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;Stretch.c,53 :: 		TFT_Set_Brush(1,CL_WHITE,0,0,0,0);
MOVZ	R28, R0, R0
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
ORI	R25, R0, 1
ADDIU	SP, SP, -4
SH	R0, 2(SP)
SH	R0, 0(SP)
JAL	_TFT_Set_Brush+0
NOP	
ADDIU	SP, SP, 4
;Stretch.c,54 :: 		TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;Stretch.c,55 :: 		TFT_Fill_Screen(CL_WHITE);
ORI	R25, R0, 65535
JAL	_TFT_Fill_Screen+0
NOP	
;Stretch.c,56 :: 		TFT_Set_Pen(CL_Black, 1);
ORI	R26, R0, 1
MOVZ	R25, R0, R0
JAL	_TFT_Set_Pen+0
NOP	
;Stretch.c,57 :: 		TFT_Line(20, 220, 300, 220);
ORI	R28, R0, 220
ORI	R27, R0, 300
ORI	R26, R0, 220
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;Stretch.c,58 :: 		TFT_LIne(20,  46, 300,  46);
ORI	R28, R0, 46
ORI	R27, R0, 300
ORI	R26, R0, 46
ORI	R25, R0, 20
JAL	_TFT_Line+0
NOP	
;Stretch.c,59 :: 		TFT_Set_Font(&HandelGothic_BT21x22_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_HandelGothic_BT21x22_Regular+0)
ORI	R25, R25, lo_addr(_HandelGothic_BT21x22_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;Stretch.c,60 :: 		TFT_Write_Text("Stretch Click", 85, 14);
ORI	R27, R0, 14
ORI	R26, R0, 85
LUI	R25, hi_addr(?lstr1_Stretch+0)
ORI	R25, R25, lo_addr(?lstr1_Stretch+0)
JAL	_TFT_Write_Text+0
NOP	
;Stretch.c,61 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;Stretch.c,62 :: 		TFT_Write_Text("EasyPIC Fusion v7", 19, 223);
ORI	R27, R0, 223
ORI	R26, R0, 19
LUI	R25, hi_addr(?lstr2_Stretch+0)
ORI	R25, R25, lo_addr(?lstr2_Stretch+0)
JAL	_TFT_Write_Text+0
NOP	
;Stretch.c,63 :: 		TFT_Set_Font(&Verdana12x13_Regular, CL_RED, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 63488
LUI	R25, hi_addr(_Verdana12x13_Regular+0)
ORI	R25, R25, lo_addr(_Verdana12x13_Regular+0)
JAL	_TFT_Set_Font+0
NOP	
;Stretch.c,64 :: 		TFT_Write_Text("www.mikroe.com", 200, 223);
ORI	R27, R0, 223
ORI	R26, R0, 200
LUI	R25, hi_addr(?lstr3_Stretch+0)
ORI	R25, R25, lo_addr(?lstr3_Stretch+0)
JAL	_TFT_Write_Text+0
NOP	
;Stretch.c,65 :: 		}
L_end_Display_Init:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _Display_Init
Stretch_readSensor:
;Stretch.c,71 :: 		static void readSensor()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;Stretch.c,73 :: 		adc_rd = ADC1_Get_Sample(8);               // Get ADC value from corresponding channel
SW	R25, 4(SP)
ORI	R25, R0, 8
JAL	_ADC1_Get_Sample+0
NOP	
SH	R2, Offset(Stretch_adc_rd+0)(GP)
;Stretch.c,74 :: 		delay_ms(10);                              // Pause 10ms
LUI	R24, 4
ORI	R24, R24, 4522
L_Stretch_readSensor0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Stretch_readSensor0
NOP	
;Stretch.c,75 :: 		}
L_end_readSensor:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of Stretch_readSensor
Stretch_set_adc:
;Stretch.c,81 :: 		static void set_adc()
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;Stretch.c,83 :: 		AD1PCFG = 0xFFEF;                        // Configure AN pins as digital I/O
ORI	R2, R0, 65519
SW	R2, Offset(AD1PCFG+0)(GP)
;Stretch.c,84 :: 		JTAGEN_bit = 0;                          // Disable JTAG port
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;Stretch.c,85 :: 		ADC1_Init();                             // Init
JAL	_ADC1_Init+0
NOP	
;Stretch.c,86 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_Stretch_set_adc2:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Stretch_set_adc2
NOP	
;Stretch.c,87 :: 		}
L_end_set_adc:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of Stretch_set_adc
_main:
;Stretch.c,89 :: 		void main()
;Stretch.c,91 :: 		set_adc();                                                         // Set A/D register
JAL	Stretch_set_adc+0
NOP	
;Stretch.c,92 :: 		Display_Init();                                                    // Initialize TFT
JAL	_Display_Init+0
NOP	
;Stretch.c,93 :: 		TFT_Set_Pen(CL_WHITE, 1);
ORI	R26, R0, 1
ORI	R25, R0, 65535
JAL	_TFT_Set_Pen+0
NOP	
;Stretch.c,94 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;Stretch.c,95 :: 		while(1)
L_main4:
;Stretch.c,97 :: 		readSensor();                                                  // Read sensor
JAL	Stretch_readSensor+0
NOP	
;Stretch.c,98 :: 		TFT_Set_Font(&TFT_defaultFont, CL_WHITE, FO_HORIZONTAL);
MOVZ	R27, R0, R0
ORI	R26, R0, 65535
LUI	R25, hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;Stretch.c,99 :: 		TFT_Write_Text(txt, 140, 100);
ORI	R27, R0, 100
ORI	R26, R0, 140
LUI	R25, hi_addr(Stretch_txt+0)
ORI	R25, R25, lo_addr(Stretch_txt+0)
JAL	_TFT_Write_Text+0
NOP	
;Stretch.c,100 :: 		WordToStr(adc_rd,&txt);                                        // Conversion integer adc_rd to string txt
LUI	R26, hi_addr(Stretch_txt+0)
ORI	R26, R26, lo_addr(Stretch_txt+0)
LHU	R25, Offset(Stretch_adc_rd+0)(GP)
JAL	_WordToStr+0
NOP	
;Stretch.c,101 :: 		TFT_Set_Font(&TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);       // Display string on TFT
MOVZ	R27, R0, R0
MOVZ	R26, R0, R0
LUI	R25, hi_addr(_TFT_defaultFont+0)
ORI	R25, R25, lo_addr(_TFT_defaultFont+0)
JAL	_TFT_Set_Font+0
NOP	
;Stretch.c,102 :: 		TFT_Write_Text(txt,140,100);                                   // Print txt value on TFT
ORI	R27, R0, 100
ORI	R26, R0, 140
LUI	R25, hi_addr(Stretch_txt+0)
ORI	R25, R25, lo_addr(Stretch_txt+0)
JAL	_TFT_Write_Text+0
NOP	
;Stretch.c,103 :: 		delay_ms(500);
LUI	R24, 203
ORI	R24, R24, 29524
L_main6:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main6
NOP	
NOP	
NOP	
;Stretch.c,104 :: 		}
J	L_main4
NOP	
;Stretch.c,105 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
